Package org.eclipse.net4j.util.concurrent

# Enum Class IRWLockManager.LockType

java.lang.Object
java.lang.Enum<IRWLockManager.LockType>
org.eclipse.net4j.util.concurrent.IRWLockManager.LockType

All Implemented Interfaces:
  `Serializable`, `Comparable<IRWLockManager.LockType>`, `java.lang.constant.Constable`

Enclosing interface:
  `IRWLockManager<OBJECT,CONTEXT>`

public static enum IRWLockManager.LockType extends Enum<IRWLockManager.LockType>

Author:
  Simon McDuff

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`OPTION`
`READ`
`WRITE`

## Method Summary

Modifier and Type
Method
Description
`static IRWLockManager.LockType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IRWLockManager.LockType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WRITE

public static final IRWLockManager.LockType WRITE

### READ

public static final IRWLockManager.LockType READ

### OPTION

public static final IRWLockManager.LockType OPTION

Since:
  3.2

## Method Details

### values

public static IRWLockManager.LockType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IRWLockManager.LockType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null